## ddd 3.2.1

=== ddd/jtest/Makefile ===
# $Id: Makefile,v 1.4 1999/08/19 11:29:59 andreas Exp $
# Java test program makefile

# Copyright (C) 1998 Technische Universitaet Braunschweig, Germany.
# Written by Andreas Zeller <zeller@gnu.org>.
# 
# This file is part of the DDD Library.
# 
# The DDD Library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Library General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
# 
# The DDD Library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# See the GNU Library General Public License for more details.
# 
# You should have received a copy of the GNU Library General Public
# License along with the DDD Library -- see the file COPYING.LIB.
# If not, write to the Free Software Foundation, Inc.,
# 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
# 
# DDD is the data display debugger.
# For details, see the DDD World-Wide-Web page, 
# `http://www.gnu.org/software/ddd/',
# or send a mail to the DDD developers <ddd@gnu.org>.

# What we use to compile Java files.
JAVAC = javac

# The flags we use to compile Java files.
JFLAGS = -g

# Native-code compiler
GCJ = gcj

# Its flags
GCJFLAGS = -g

# Default rule
all:	jtest-java
	@:
.PHONY: all

# Implicit rules
.SUFFIXES: .java .class

.java.class:
	$(JAVAC) $(JFLAGS) $<

.java.o:
	$(GCJ) -c $(GCJFLAGS) $<

# Our app
.PHONY: jtest-java
jtest-java: jtest.class Date.class Holiday.class List.class Tree.class
	@:

# The binary
JTEST_OBJECTS = jtest.o	Date.o Holiday.o List.o Tree.o
jtest:	$(JTEST_OBJECTS)
	$(GCJ) -o $@ --main=jtest $(JTEST_OBJECTS)

## ddd 3.3.12

=== debian/changelog ===
ddd (1:3.3.12-5.4build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:43:26 +1100

ddd (1:3.3.12-5.4build1) noble; urgency=medium

  * No-change rebuild against libxt6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Mar 2024 00:47:40 +0000

ddd (1:3.3.12-5.4) unstable; urgency=medium

  * Non-maintainer upload.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + ddd-doc: Add Multi-Arch: foreign.

  [ Chris Lamb ]
  * Make the build reproducible. (Closes: #834016)

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Thu, 17 Nov 2022 12:13:34 -0800

ddd (1:3.3.12-5.3) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Only modify manpage in arch builds (Closes: #981969)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 10 Feb 2021 22:05:37 +0100

ddd (1:3.3.12-5.2) unstable; urgency=medium

  [ Sophie Brun ]
  * Non-maintainer upload.
  * Add a patch to fix gcc9 build (Closes: #925666)

  [ Raphaël Hertzog ]
  * Add Vcs-* headers for the new git repository on salsa
  * Switch packaging to modern debhelper (get rid of CDBS)
  * Fix path of documentation in doc-base
  * Add Recommends on sensible-utils for /etc/X11/app-defaults/Ddd and
    /usr/share/ddd/ddd/Ddd
  * Drop leading "The" on short description
  * Update FSF address in debian/copyright
  * Don't install empty directories
  * Drop old-menu entry as we have a .desktop entry

 -- Raphaël Hertzog <raphael@offensive-security.com>  Thu, 03 Oct 2019 14:13:39 +0200

ddd (1:3.3.12-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Build-depends against libelf-dev instead of libelfg0-dev,
    the later doesn't seem to be maintained anymore. (Closes: #803758)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 02 Nov 2015 12:31:12 +0100

ddd (1:3.3.12-5) unstable; urgency=low

  * Switch from lesstif to motif.  Closes: #714657.
  * Use dh-autoreconf instead of the previous hand-rolled version.
  * Remove old ddd-doc.preinst which was for upgrading from older versions
    than what's in oldstable.

 -- Daniel Schepler <schepler@debian.org>  Sat, 06 Jul 2013 12:50:28 -0700

ddd (1:3.3.12-4) unstable; urgency=low

  * Remove broken ICE_MOTIF_DIALOGS_OWN_SELECTION_LIST configure test,
    which caused the configure process to thrash the swap and hang.
    Closes: #682627.

 -- Daniel Schepler <schepler@debian.org>  Tue, 21 Aug 2012 19:10:20 -0700

ddd (1:3.3.12-3) unstable; urgency=low

  * Add -ltinfo to the search path for termcap libraries.  Closes: #646170.
  * Add Build-Depends on info and texinfo.
  * Remove libxp-dev from Build-Depends, and force configure script not to
    search for it.  Closes: #623640.
  * Add -Wl,--as-needed to LDFLAGS, to get rid of useless direct linking
    against SM, ICE, Xpm, Xext libraries.

 -- Daniel Schepler <schepler@debian.org>  Sat, 03 Dec 2011 09:59:21 -0800

ddd (1:3.3.12-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix machine code window view (Closes: #597328)

 -- Wookey <wookey@debian.org>  Fri, 08 Jul 2011 17:29:38 +0100

ddd (1:3.3.12-2) unstable; urgency=low

  * Drop versioned lpr Build-Depends and instead force LPR=lpr in the
    configure script's environment. This will hopefully allow ddd to build
    on kfreebsd-* and migrate into testing, addressing #595849.
  * Do the same for other utilities not actually used at build time other
    than to fill out the app-defaults file.
  * Update to 3.0 (quilt) source format.
  * Install icon referenced by ddd.desktop.  Closes: #592983.

 -- Daniel Schepler <schepler@debian.org>  Sat, 11 Sep 2010 11:28:06 -0700

ddd (1:3.3.12-1) unstable; urgency=low

  * New upstream release.  Closes: #555511.  Thanks to giagimari@libero.it
    for pointing out that upstream had moved.
    + Includes new .desktop file.  Closes: #513640.
  * Put version on lpr Build-Depends to make sure providing package
    doesn't result in wrong command in app-default file.
  * Adjust Build-Depends for readline 6 transition.  Closes: #553746.
  * Fix build error with g++-4.4.  Closes: #504868.
  * Minor improvement to package description, thanks to Reuben Thomas.
    Closes: #460139.

 -- Daniel Schepler <schepler@debian.org>  Tue, 10 Nov 2009 14:01:10 -0800

ddd (1:3.3.11-1) unstable; urgency=low

  * New upstream release.
  * Rebuild using g++-4.0.
  * Drop obsolete Build-Depends on g++ and libstdc++5-3.3-dev.
    Closes: #300216.
  * Remove Suggests on bashdb, which no longer exists.  Closes: #294631.
  * New patch 003_data_path.diff: change default data directory to
    /usr/share/ddd, with /usr/share/ddd-$(VERSION) as an alternate,
    instead of the other way around.
  * New patch 004_userinfo.diff: add --with-userinfo option to configure
    to make it easier to override the autodetection.
  * Update to Standards-Version 3.6.2 (no changes needed).

 -- Daniel Schepler <schepler@debian.org>  Sun, 10 Jul 2005 02:24:07 -0700

ddd (1:3.3.9-3) unstable; urgency=low

  * USERINFO has been renamed to USERINFO.txt; adjust debian/rules code
    to match, to get correct information on the About DDD dialog.

 -- Daniel Schepler <schepler@debian.org>  Thu, 22 Jul 2004 03:49:37 -0700

ddd (1:3.3.9-2) unstable; urgency=low

  * Rebuild against libstdc++5-3.3-dev 1:3.3.4-5 to get dynamic
    linking against -lstdc++.

 -- Daniel Schepler <schepler@debian.org>  Wed, 21 Jul 2004 17:03:59 -0700

ddd (1:3.3.9-1) unstable; urgency=low

  * New upstream release.
    + Fixes build with gcc-3.4.  Closes: #258613.
    + Drops requirement for libiberty.  Remove Build-Depends on
      binutils-dev.
  * Remove debian/watch file, since the Sourceforge download mirrors
    no longer seem to support listing directories.
  * Split changes to source code into debian/patches/.
    + Remove ddd/Makefile.in install-info patch, which has been resolved
      upstream.

 -- Daniel Schepler <schepler@debian.org>  Wed, 21 Jul 2004 00:17:24 -0700



=== debian/control ===
Source: ddd
Section: devel
Priority: optional
Build-Depends: bison, debhelper-compat (= 12), flex, info, libmotif-dev, libreadline-dev, libxaw7-dev, texinfo, libelf-dev
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Daniel Schepler <schepler@debian.org>
Homepage: http://www.gnu.org/software/ddd/
Standards-Version: 4.4.0
Vcs-Git: https://salsa.debian.org/debian/ddd.git
Vcs-Browser: https://salsa.debian.org/debian/ddd

Package: ddd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gdb (>= 7.1), sensible-utils
Suggests: ddd-doc, perl (>= 5.8.0), pydb, info, glibc-doc, xterm, x11-utils, gnuplot, rsh-client, cups-bsd | lpr
Conflicts: ddd-smotif, ddd-dmotif
Replaces: ddd-smotif, ddd-dmotif
Description: Data Display Debugger, a graphical debugger frontend
 The Data Display Debugger (DDD) is a popular graphical user interface to
 UNIX debuggers such as GDB, DBX, XDB, JDB and others. Besides typical
 front-end features such as viewing source texts and breakpoints, DDD
 provides an interactive graphical data display, where data structures are
 displayed as graphs. Using DDD, you can reason about your application by
 watching its data, not just by viewing it execute lines of source code.
 .
 Other DDD features include: debugging of programs written in Ada, Bash, C,
 C++, Chill, Fortran, Java, Modula, Pascal, Perl and Python; machine-level
 debugging; hypertext source navigation and lookup; breakpoint, backtrace,
 and history editors; preferences and settings editors; program execution
 in terminal emulator window; debugging on remote host; on-line manual;
 interactive help on the Motif user interface; GDB/DBX/XDB command-line
 interface with full editing, history, and completion capabilities.
 .
 This version is linked against Lesstif, an LGPL-ed implementation of Motif.

Package: ddd-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: pdf-viewer, postscript-viewer, ddd
Replaces: ddd (<< 3.1.90)
Multi-Arch: foreign
Description: Additional documentation for the Data Display Debugger
 The "Debugging with DDD" and "Writing DDD Themes" User's Guide and 
 Reference Manual in PDF format ("info" versions are included in the "ddd"
 package itself).
 .
 The technical report "DDD---A Free Graphical Front-End for UNIX Debuggers"
 in PostScript format.

=== debian/rules ===
#!/usr/bin/make -f

DEB_CFLAGS_MAINT_APPEND = -DNDEBUG
DEB_CXXFLAGS_MAINT_APPEND = -DNDEBUG
DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --builddirectory=builddir

override_dh_auto_configure:
	RSH=rsh LPR=lpr XTERM=xterm XFONTSEL=xfontsel \
        GCORE=gcore ice_cv_find_xp=no ac_cv_lib_Xp_XpSelectInput=no \
	dh_auto_configure -- --with-readline-libraries \
	    --disable-builtin-app-defaults --disable-builtin-manual \
	    --disable-builtin-news --disable-builtin-license \
	    --with-userinfo="$(shell dpkg-parsechangelog -SMaintainer)"

override_dh_auto_test:
	# Disable the make check command, which wants to run ddd interactively

override_dh_auto_install:
	dh_auto_install
	rm -f debian/tmp/usr/share/ddd/COPYING

override_dh_auto_clean:
	dh_auto_clean
	rm -f ddd/ddd.info.txt ddd/ddd.info.txt.gz
	rm -f ddd/ddd.info.txt.gz.C

execute_after_dh_install-arch:
	# The manpage installed contains a reference to a logo .eps file in the
	# build directory which isn't even created; remove this reference to
	# eliminate man warnings.
	sed -i -e '/^\.PSPIC/d' debian/ddd/usr/share/man/man1/ddd.1
